package com.s5gi.giGuns.guns.ind;

import com.s5gi.giGuns.guns.BulletType;
import com.s5gi.giGuns.guns.IGun;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.Sound;
import org.bukkit.block.Block;
import org.bukkit.entity.LivingEntity;
import org.bukkit.inventory.CraftingRecipe;
import org.bukkit.inventory.ShapedRecipe;

import java.util.List;

public class hecateII implements IGun {
    @Override
    public String name() {
        return "&cHécate II";
    }

    @Override
    public List<String> description() {
        return List.of("&4French", "&7Standard heavy sniper rifle and anti-materiel rifle");
    }


    @Override
    public BulletType bulletType() {
        return BulletType.HEAVY;
    }

    @Override
    public List<Sound> sound() {
        return List.of(Sound.ENTITY_FIREWORK_ROCKET_BLAST);
    }

    @Override
    public float soundPitch() {
        return 0.5f;
    }

    @Override
    public void onHitEntity(Location location, LivingEntity entity) {

    }

    @Override
    public void onHitBlock(Location location, Block block) {

    }

    @Override
    public double bulletSpeed() {
        return 4;
    }

    @Override
    public double damage() {
        return 12;
    }

    @Override
    public int cooldown() {
        return 30;
    }

    @Override
    public int textureId() {
        return 3;
    }

    @Override
    public CraftingRecipe recipe() {
        ShapedRecipe recipe = new ShapedRecipe(NamespacedKey.fromString("giguns:hekateii"), compileGun());
        recipe.shape("iii", "rRd", "iis");
        recipe.setIngredient('i', Material.IRON_INGOT);
        recipe.setIngredient('r', Material.BREEZE_ROD);
        recipe.setIngredient('R', Material.BLAZE_ROD);
        recipe.setIngredient('d', Material.DISPENSER);
        recipe.setIngredient('s', Material.STICK);
        return recipe;
    }
}
