package com.s5gi.giGuns.guns.ind;

import com.s5gi.giGuns.guns.BulletType;
import com.s5gi.giGuns.guns.IGun;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.Sound;
import org.bukkit.block.Block;
import org.bukkit.entity.LivingEntity;
import org.bukkit.inventory.CraftingRecipe;
import org.bukkit.inventory.ShapedRecipe;

import java.util.List;

public class _1911 implements IGun {
    @Override
    public String name() {
        return "&cColt 1911";
    }

    @Override
    public List<String> description() {
        return List.of("&9U.S.A.","&7A single-action, recoil-operated, semi-automatic pistol");
    }


    @Override
    public BulletType bulletType() {
        return BulletType.PISTOL;
    }

    @Override
    public List<Sound> sound() {
        return List.of(Sound.ENTITY_FIREWORK_ROCKET_BLAST);
    }

    @Override
    public float soundPitch() {
        return 0.8f;
    }

    @Override
    public void onHitEntity(Location location, LivingEntity entity) {

    }

    @Override
    public void onHitBlock(Location location, Block block) {

    }

    @Override
    public double bulletSpeed() {
        return 3.3;
    }

    @Override
    public double damage() {
        return 4;
    }

    @Override
    public int cooldown() {
        return 3;
    }

    @Override
    public int textureId() {
        return 0;
    }

    @Override
    public boolean gravity() {
        return true;
    }

    @Override
    public CraftingRecipe recipe() {
        ShapedRecipe recipe = new ShapedRecipe(NamespacedKey.fromString("giguns:1911"), compileGun());
        recipe.shape(" ii"," rd"," is");
        recipe.setIngredient('i', Material.IRON_INGOT);
        recipe.setIngredient('r', Material.BLAZE_ROD);
        recipe.setIngredient('d', Material.DISPENSER);
        recipe.setIngredient('s', Material.STICK);
        return recipe;
    }
}
